Bug 1459618 - hexchat-2.12.4-5.fc27: FTBFS - configure: error: cannot import Python module "distutils".
hexchat-2.12.4-5.fc27: FTBFS - configure: error: cannot import Python module...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hexchat (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Patrick Griffis
Fedora Extras Quality Assurance
https://apps.fedoraproject.org/kosche...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 11:20 EDT by Jitka Plesnikova
Modified: 2017-06-12 07:50 EDT (History)
4 users (show)

See Also:
Fixed In Version: hexchat-2.12.4-6.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-12 07:50:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2017-06-07 11:20:52 EDT
hexchat-2.12.4-5.fc27 failed to build from source with following error:

checking for a version of Python >= '2.1.0'... Python runtime initialized with LC_CTYPE=C (a locale with default ASCII encoding), which may cause Unicode compatibility problems. Using C.UTF-8, C.utf8, or UTF-8 (if available) as alternative Unicode-compatible locales is recommended.
yes
checking for a version of Python >= '3.3'... Python runtime initialized with LC_CTYPE=C (a locale with default ASCII encoding), which may cause Unicode compatibility problems. Using C.UTF-8, C.utf8, or UTF-8 (if available) as alternative Unicode-compatible locales is recommended.
yes
checking for the distutils Python package... no
configure: error: cannot import Python module "distutils".
Please check your Python installation. The error was:
Python runtime initialized with LC_CTYPE=C (a locale with default ASCII encoding), which may cause Unicode compatibility problems. Using C.UTF-8, C.utf8, or UTF-8 (if available) as alternative Unicode-compatible locales is recommended.
Comment 1 Patrick Griffis 2017-06-10 16:35:44 EDT
This just seems like a breaking change on the builders, probably should contact whomever maintains that infrastructure?
Comment 2 Petr Pisar 2017-06-12 07:50:48 EDT
It builds again <https://apps.fedoraproject.org/koschei/package/hexchat?collection=f27>. But I could not see any change in the logs.

Note You need to log in before you can comment on or make changes to this bug.